;USB Descriptors

 include "settings.inc"
 include "ti83plus.inc"
 include "equates.inc" 
 SEGMENT Main
 GLOBALS ON

;NOTE: You need to be careful modifying these descriptors, their lengths are hard-coded elsewhere!
HubDeviceDescriptor:
	DB 12h		;size of descriptor
	DB 01h		;device descriptor type
	DW 0200h	;USB version
	DB 09h ;08h		;bDeviceClass
	DB 00h ;06h		;bDeviceSubClass
	DB 01h ;50h		;bDeviceProtocol
	DB 40h		;bMaxPacketSize0
       DW 0AAAAh ;0451h	;wVendorID
	DW 0CCCCh ;2008h	;wProductID
 	DW 0100h ;0100h	;device release number
	DB 00h		;manufacturer string index
	DB 00h		;product string index
	DB 00h		;serial number string index
	DB 01h		;bNumConfigurations
HubConfigDescriptor:
       DB 09h, 02h, 19h, 00h
       DB 01h, 01h, 00h, 0E0h, 32h ;0FAh
;Interface descriptor
       DB 09h, 04h, 00h, 00h, 01h
       DB 09h, 00h, 00h, 00h
;Endpoint descriptor
       DB 07h
       DB 05h
       DB 81h
       DB 03h
       DW 0001h
       DB 0Ch

Device1DeviceDescriptor:
	DB 12h		;size of descriptor
	DB 01h		;device descriptor type
	DW 0200h	;USB version
	DB 00h		;bDeviceClass
	DB 00h		;bDeviceSubClass
	DB 00h		;bDeviceProtocol
	DB 20h ;40h		;bMaxPacketSize0
       DW 0AAAAh	;wVendorID
	DW 5555h	;wProductID
 	DW 0000h ;0100h	;device release number
	DB 00h		;manufacturer string index
	DB 00h		;product string index
	DB 00h		;serial number string index
	DB 04h		;bNumConfigurations
Device1ShortConfigDescriptor:
       DB 09h, 02h
       DW 0F00h
       DB 01h, 00h, 00h, 80h
Device1ConfigDescriptor:
       DB 09h, 02h, 12h, 00h, 01h, 00h, 00h, 80h, 0FAh, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
       DB 0FAh, 0CEh, 0B0h, 03h, 0AAh, 0BBh, 0CCh, 0DDh, 38h, 63h, 0F0h, 00h
       DB 38h, 0A0h, 10h, 00h, 38h, 80h, 00h, 01h, 78h, 84h, 0F8h, 06h
       DB 64h, 84h, 00h, 70h, 38h, 0A5h, 0FFh, 0F8h, 7Ch, 0C3h, 28h, 2Ah
       DB 7Ch, 0C4h, 29h, 2Ah, 28h, 25h, 00h, 00h, 40h, 82h, 0FFh, 0F0h
       DB 38h, 84h, 00h, 80h, 7Ch, 89h, 03h, 0A6h, 4Eh, 80h, 04h, 20h
       DB 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
       DB 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
       DB 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
       DB 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 7Ch, 08h, 02h, 0A6h
       DB 0F8h, 21h, 0FFh, 61h, 0FBh, 61h, 00h, 78h, 0FBh, 81h, 00h, 80h
       DB 0FBh, 0A1h, 00h, 88h, 0FBh, 0C1h, 00h, 90h, 0FBh, 0E1h, 00h, 98h
       DB 0F8h, 01h, 00h, 0B0h, 3Bh, 0E0h, 00h, 01h, 7Bh, 0FFh, 0F8h, 06h
       DB 7Fh, 0E3h, 0FBh, 78h, 64h, 63h, 00h, 05h, 60h, 63h, 0Bh, 3Ch
       DB 7Fh, 0E4h, 0FBh, 78h, 64h, 84h, 00h, 70h, 60h, 84h, 01h, 0CCh
       DB 38h, 0A0h, 04h, 0FAh, 4Bh, 97h, 0BFh, 59h, 7Fh, 0E3h, 0FBh, 78h
       DB 64h, 63h, 00h, 05h, 60h, 63h, 0Bh, 3Ch, 38h, 63h, 00h, 20h
       DB 4Bh, 9Dh, 22h, 01h, 7Fh, 0E3h, 0FBh, 78h, 64h, 63h, 00h, 05h
       DB 60h, 63h, 0Bh, 3Ch, 7Fh, 0E4h, 0FBh, 78h, 64h, 84h, 00h, 2Eh
       DB 60h, 84h, 0B1h, 28h, 38h, 63h, 00h, 10h, 0F8h, 64h, 01h, 20h
       DB 7Fh, 0E5h, 0FBh, 78h, 64h, 0A5h, 00h, 70h, 60h, 0A5h, 01h, 50h
       DB 80h, 65h, 00h, 00h, 28h, 03h, 00h, 00h, 41h, 82h, 00h, 18h
       DB 80h, 85h, 00h, 04h, 7Ch, 63h, 0FAh, 14h, 90h, 83h, 00h, 00h
       DB 38h, 0A5h, 00h, 08h, 4Bh, 0FFh, 0FFh, 0E4h, 48h, 00h, 05h, 0A8h
       DB 0F8h, 21h, 0FFh, 51h, 7Ch, 08h, 02h, 0A6h, 0FBh, 0C1h, 00h, 0A0h
       DB 0FBh, 0E1h, 00h, 0A8h, 0FBh, 0A1h, 00h, 98h, 0F8h, 01h, 00h, 0C0h
       DB 3Bh, 0C0h, 07h, 0D0h, 3Bh, 0E0h, 00h, 0C8h, 4Bh, 90h, 0A9h, 0B8h
       DB 00h, 04h, 90h, 0E0h, 0E8h, 82h, 0Fh, 08h, 00h, 04h, 90h, 0E4h
       DB 0E8h, 7Ch, 00h, 20h, 00h, 04h, 90h, 0E8h, 0F8h, 64h, 00h, 00h
       DB 00h, 04h, 0F0h, 0A8h, 48h, 00h, 1Ah, 9Dh, 00h, 2Ah, 0AFh, 0C8h
       DB 4Bh, 0DAh, 5Bh, 80h, 00h, 04h, 0EDh, 18h, 38h, 80h, 00h, 00h
       DB 00h, 04h, 0EDh, 1Ch, 90h, 83h, 00h, 00h, 00h, 04h, 0EDh, 20h
       DB 4Eh, 80h, 00h, 20h, 00h, 3Bh, 0A8h, 90h, 01h, 00h, 00h, 00h
       DB 00h, 05h, 05h, 0D0h, 38h, 60h, 00h, 01h, 00h, 05h, 05h, 0D4h
       DB 4Eh, 80h, 00h, 20h, 00h, 01h, 7Ch, 0BCh, 0E8h, 63h, 00h, 00h
       DB 00h, 01h, 7Ch, 0C0h, 4Eh, 80h, 00h, 20h, 00h, 01h, 7Ch, 0C8h
       DB 0F8h, 83h, 00h, 00h, 00h, 01h, 7Ch, 0CCh, 4Eh, 80h, 00h, 20h
       DB 00h, 00h, 00h, 00h, 38h, 60h, 00h, 01h, 4Eh, 80h, 00h, 20h
       DB 48h, 00h, 02h, 78h, 48h, 00h, 01h, 0ECh, 80h, 00h, 00h, 00h
       DB 00h, 05h, 0Ch, 0A8h, 80h, 00h, 00h, 00h, 00h, 33h, 0E7h, 20h
       DB 80h, 00h, 00h, 00h, 00h, 05h, 10h, 32h, 80h, 00h, 00h, 00h
       DB 00h, 05h, 0Bh, 7Ch, 80h, 00h, 00h, 00h, 00h, 05h, 0Bh, 8Ch
       DB 80h, 00h, 00h, 00h, 00h, 05h, 0Bh, 9Ch, 80h, 00h, 00h, 00h
       DB 00h, 05h, 0Bh, 0D4h, 80h, 00h, 00h, 00h, 00h, 33h, 0E7h, 20h
       DB 80h, 00h, 00h, 00h, 00h, 05h, 0Ch, 1Ch, 80h, 00h, 00h, 00h
       DB 00h, 33h, 0E7h, 20h, 80h, 00h, 00h, 00h, 00h, 05h, 0Ch, 78h
       DB 80h, 00h, 00h, 00h, 00h, 33h, 0E7h, 20h, 80h, 00h, 00h, 00h
       DB 00h, 05h, 0Ch, 84h, 80h, 00h, 00h, 00h, 00h, 33h, 0E7h, 20h
       DB 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
       DB 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
       DB 0F8h, 21h, 0FFh, 81h, 7Ch, 08h, 02h, 0A6h, 0F8h, 01h, 00h, 90h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 00h, 01h, 48h, 08h, 1Dh, 0B1h
       DB 80h, 0A3h, 00h, 08h, 38h, 60h, 00h, 00h, 3Ch, 80h, 0AAh, 0AAh
       DB 60h, 84h, 0C0h, 0DEh, 7Ch, 04h, 28h, 40h, 41h, 82h, 00h, 08h
       DB 38h, 60h, 0FFh, 0FFh, 7Ch, 63h, 07h, 0B4h, 0E8h, 01h, 00h, 90h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 21h, 00h, 80h, 4Eh, 80h, 00h, 20h
       DB 0F8h, 21h, 0FFh, 81h, 7Ch, 08h, 02h, 0A6h, 0F8h, 01h, 00h, 90h
       DB 38h, 80h, 00h, 00h, 48h, 08h, 1Dh, 99h, 38h, 81h, 00h, 70h
       DB 38h, 0A0h, 00h, 00h, 0F8h, 0A4h, 00h, 00h, 38h, 0C0h, 21h, 0AAh
       DB 0B0h, 0C4h, 00h, 00h, 38h, 0C0h, 00h, 00h, 0B0h, 0C4h, 00h, 06h
       DB 38h, 0C0h, 00h, 01h, 78h, 0C6h, 0F8h, 06h, 64h, 0C6h, 00h, 05h
       DB 60h, 0C6h, 0Bh, 0ACh, 38h, 0E0h, 00h, 00h, 48h, 08h, 1Ch, 0CDh
       DB 38h, 60h, 00h, 00h, 0E8h, 01h, 00h, 90h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 21h, 00h, 80h, 4Eh, 80h, 00h, 20h, 4Eh, 80h, 00h, 20h
       DB 39h, 60h, 00h, 0FFh, 44h, 00h, 00h, 22h, 2Ch, 03h, 00h, 00h
       DB 40h, 82h, 00h, 1Ch, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 05h, 60h, 63h, 0Bh, 0BCh, 38h, 80h, 00h, 01h
       DB 90h, 83h, 00h, 10h, 4Eh, 80h, 00h, 20h, 0F8h, 21h, 0FFh, 31h
       DB 7Ch, 08h, 02h, 0A6h, 0F8h, 01h, 00h, 0E0h, 0FBh, 0E1h, 00h, 0C8h
       DB 38h, 81h, 00h, 70h, 48h, 16h, 2Eh, 81h, 3Bh, 0E0h, 00h, 01h
       DB 7Bh, 0FFh, 0F8h, 06h, 67h, 0FFh, 00h, 05h, 63h, 0FFh, 0Bh, 0BCh
       DB 0E8h, 7Fh, 00h, 00h, 2Ch, 23h, 00h, 00h, 41h, 82h, 00h, 0Ch
       DB 38h, 80h, 00h, 27h, 48h, 01h, 17h, 0E9h, 38h, 80h, 00h, 27h
       DB 38h, 60h, 08h, 00h, 48h, 01h, 13h, 9Dh, 0F8h, 7Fh, 00h, 00h
       DB 0E8h, 81h, 00h, 70h, 4Bh, 0FFh, 0C5h, 0F9h, 0E8h, 61h, 00h, 70h
       DB 38h, 80h, 00h, 27h, 48h, 01h, 17h, 0C5h, 0E8h, 7Fh, 00h, 00h
       DB 4Bh, 0FFh, 0C6h, 0Dh, 0E8h, 9Fh, 00h, 00h, 7Ch, 64h, 1Ah, 14h
       DB 0F8h, 7Fh, 00h, 08h, 38h, 60h, 00h, 00h, 0EBh, 0E1h, 00h, 0C8h
       DB 0E8h, 01h, 00h, 0E0h, 38h, 21h, 00h, 0D0h, 7Ch, 08h, 03h, 0A6h
       DB 4Eh, 80h, 00h, 20h, 0F8h, 21h, 0FFh, 61h, 7Ch, 08h, 02h, 0A6h
       DB 0FBh, 81h, 00h, 80h, 0FBh, 0A1h, 00h, 88h, 0FBh, 0E1h, 00h, 98h
       DB 0FBh, 41h, 00h, 70h, 0FBh, 61h, 00h, 78h, 0F8h, 01h, 00h, 0B0h
       DB 7Ch, 9Ch, 23h, 78h, 7Ch, 7Dh, 1Bh, 78h, 3Bh, 0E0h, 00h, 01h
       DB 7Bh, 0FFh, 0F8h, 06h, 7Fh, 0A3h, 0EBh, 78h, 7Fh, 0E4h, 0FBh, 78h
       DB 64h, 84h, 00h, 05h, 60h, 84h, 10h, 28h, 38h, 0A0h, 00h, 09h
       DB 4Bh, 0FFh, 0C5h, 0CDh, 28h, 23h, 00h, 00h, 40h, 82h, 00h, 34h
       DB 67h, 0FFh, 00h, 05h, 63h, 0FFh, 0Bh, 0BCh, 80h, 7Fh, 00h, 10h
       DB 28h, 03h, 00h, 00h, 41h, 82h, 00h, 20h, 0E8h, 7Fh, 00h, 00h
       DB 28h, 23h, 00h, 00h, 41h, 82h, 00h, 14h, 0E8h, 7Fh, 00h, 08h
       DB 38h, 9Dh, 00h, 09h, 4Bh, 0FFh, 0C5h, 45h, 0EBh, 0BFh, 00h, 00h
       DB 7Fh, 0A3h, 0EBh, 78h, 48h, 25h, 0A2h, 38h, 7Ch, 08h, 02h, 0A6h
       DB 0F8h, 21h, 0FEh, 61h, 0FBh, 61h, 00h, 78h, 0FBh, 81h, 00h, 80h
       DB 0FBh, 0A1h, 00h, 88h, 0FBh, 0C1h, 00h, 90h, 0FBh, 0E1h, 00h, 98h
       DB 0F8h, 01h, 01h, 0B0h, 7Ch, 7Dh, 1Bh, 78h, 7Ch, 9Eh, 23h, 78h
       DB 3Bh, 0E0h, 00h, 01h, 7Bh, 0FFh, 0F8h, 06h, 0EBh, 82h, 96h, 00h
       DB 0EBh, 9Ch, 00h, 68h, 0EBh, 9Ch, 00h, 18h, 0EBh, 62h, 0Fh, 08h
       DB 0E9h, 3Dh, 00h, 18h, 81h, 29h, 00h, 30h, 79h, 29h, 84h, 02h
       DB 2Ch, 09h, 00h, 29h, 40h, 82h, 00h, 58h, 0E8h, 9Ch, 00h, 10h
       DB 78h, 85h, 0C1h, 0E4h, 78h, 0A5h, 46h, 20h, 2Ch, 05h, 00h, 0FFh
       DB 41h, 82h, 00h, 18h, 60h, 84h, 00h, 03h, 0F8h, 9Ch, 00h, 10h
       DB 38h, 60h, 00h, 06h, 90h, 7Eh, 00h, 00h, 48h, 00h, 00h, 14h
       DB 60h, 84h, 00h, 02h, 0F8h, 9Ch, 00h, 10h, 38h, 60h, 00h, 2Ch
       DB 90h, 7Eh, 00h, 00h, 80h, 0BCh, 00h, 04h, 0E8h, 9Ch, 00h, 08h
       DB 0E8h, 7Bh, 00h, 00h, 7Dh, 23h, 2Ah, 14h, 0F9h, 3Bh, 00h, 00h
       DB 48h, 02h, 0B1h, 0C1h, 48h, 00h, 00h, 0C4h, 7Fh, 0A3h, 0EBh, 78h
       DB 7Fh, 0C4h, 0F3h, 78h, 4Bh, 0FFh, 0D9h, 0B1h, 7Fh, 0FDh, 0FBh, 78h
       DB 67h, 0BDh, 00h, 05h, 63h, 0BDh, 0Bh, 0D0h, 80h, 7Dh, 00h, 00h
       DB 80h, 0BCh, 00h, 04h, 7Ch, 63h, 2Ah, 14h, 90h, 7Dh, 00h, 00h
       DB 0E8h, 9Ch, 00h, 10h, 78h, 85h, 0C1h, 0E4h, 78h, 0A5h, 46h, 20h
       DB 2Ch, 05h, 00h, 0FFh, 40h, 82h, 00h, 88h, 0E8h, 7Bh, 00h, 00h
       DB 38h, 80h, 00h, 00h, 38h, 0C0h, 00h, 00h, 7Ch, 0E3h, 22h, 14h
       DB 80h, 0A7h, 00h, 00h, 7Ch, 0C6h, 2Ah, 78h, 38h, 84h, 00h, 04h
       DB 28h, 24h, 04h, 00h, 40h, 82h, 0FFh, 0ECh, 80h, 7Dh, 00h, 00h
       DB 78h, 0C6h, 07h, 0C6h, 7Ch, 0C6h, 1Bh, 78h, 38h, 60h, 00h, 00h
       DB 90h, 7Dh, 00h, 00h, 7Fh, 0E7h, 0FBh, 78h, 64h, 0E7h, 00h, 05h
       DB 60h, 0E7h, 0Fh, 70h, 0E8h, 67h, 00h, 00h, 28h, 23h, 00h, 00h
       DB 41h, 82h, 00h, 38h, 38h, 0E7h, 00h, 10h, 7Ch, 23h, 30h, 40h
       DB 40h, 82h, 0FFh, 0ECh, 0E8h, 0A7h, 0FFh, 0F8h, 0E8h, 0FBh, 00h, 00h
       DB 80h, 65h, 00h, 00h, 28h, 03h, 00h, 00h, 41h, 82h, 00h, 18h
       DB 80h, 85h, 00h, 04h, 7Ch, 63h, 3Ah, 14h, 90h, 83h, 00h, 00h
       DB 38h, 0A5h, 00h, 08h, 4Bh, 0FFh, 0FFh, 0E4h, 38h, 60h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 01h, 0B0h
       DB 38h, 21h, 01h, 0A0h, 7Ch, 08h, 03h, 0A6h, 4Eh, 80h, 00h, 20h
       DB 0F8h, 21h, 0FFh, 51h, 7Ch, 08h, 02h, 0A6h, 0FBh, 0C1h, 00h, 0A0h
       DB 0FBh, 0E1h, 00h, 0A8h, 0FBh, 0A1h, 00h, 98h, 0F8h, 01h, 00h, 0C0h
       DB 3Bh, 0C0h, 0Fh, 0A0h, 3Bh, 0E0h, 00h, 0C8h, 4Bh, 0FBh, 9Bh, 98h
       DB 0A0h, 55h, 6Fh, 3Dh, 00h, 2Ch, 0B8h, 0FDh, 80h, 00h, 00h, 00h
       DB 00h, 05h, 0Fh, 0B8h, 8Ch, 0Ah, 94h, 8Ch, 00h, 0Dh, 99h, 0B1h
       DB 80h, 00h, 00h, 00h, 00h, 05h, 0Fh, 0E0h, 0A2h, 0BCh, 1Ah, 56h
       DB 00h, 05h, 2Ah, 0DCh, 80h, 00h, 00h, 00h, 00h, 05h, 10h, 04h
       DB 6Bh, 70h, 28h, 02h, 00h, 02h, 00h, 17h, 80h, 00h, 00h, 00h
       DB 00h, 05h, 0Fh, 0D4h, 00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
       DB 00h, 30h, 53h, 54h, 38h, 60h, 00h, 82h, 00h, 5Fh, 3Fh, 0C0h
       DB 38h, 60h, 00h, 01h, 00h, 5Fh, 3Fh, 0C4h, 4Eh, 80h, 00h, 20h
       DB 00h, 00h, 00h, 00h, 00h, 02h, 0EDh, 0Ch, 3Bh, 0A0h, 00h, 01h
       DB 00h, 00h, 00h, 00h, 00h, 22h, 0B8h, 88h, 5Fh, 74h, 6Fh, 6Fh
       DB 00h, 22h, 0B8h, 8Ch, 6Ch, 32h, 2Eh, 78h, 00h, 22h, 0B8h, 90h
       DB 6Dh, 6Ch, 23h, 72h, 00h, 22h, 0B8h, 94h, 6Fh, 6Fh, 74h, 00h
       DB 00h, 00h, 00h, 00h, 00h, 0Dh, 68h, 0B8h, 5Fh, 74h, 6Fh, 6Fh
       DB 00h, 0Dh, 68h, 0BCh, 6Ch, 32h, 2Eh, 78h, 00h, 0Dh, 68h, 0C0h
       DB 6Dh, 6Ch, 23h, 72h, 00h, 0Dh, 68h, 0C4h, 6Fh, 6Fh, 74h, 00h
       DB 00h, 00h, 00h, 00h, 2Fh, 64h, 65h, 76h, 5Fh
 IF BD_ENABLED = 1
       DB "bdvd"
 ELSE
       DB "xxxx"
 ENDIF
       DB 00h, 6Dh, 6Fh, 64h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
       DB 00h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h
       DB 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h
       DB 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 40h
       DB 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h
       DB 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h
       DB 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h
       DB 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h
       DB 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h
       DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
       DB 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h
       DB 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h
       DB 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h
       DB 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h
       DB 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h
       DB 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h
       DB 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h
       DB 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h
       DB 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h
       DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
       DB 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h
       DB 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h
       DB 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h
       DB 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h
       DB 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h
       DB 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h
       DB 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h
       DB 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h
       DB 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h
       DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
       DB 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h
       DB 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h
       DB 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h
       DB 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h
       DB 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h
       DB 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h
       DB 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h
       DB 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h
       DB 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h
       DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
       DB 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h
       DB 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h
       DB 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h
       DB 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h
       DB 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h
       DB 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h
       DB 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h
       DB 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h
       DB 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h
       DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
       DB 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h
       DB 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h
       DB 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h
       DB 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h
       DB 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h
       DB 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h
       DB 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h
       DB 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h
       DB 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h
       DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
       DB 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h
       DB 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h
       DB 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h
       DB 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h
       DB 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h
       DB 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h
       DB 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h
       DB 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h
       DB 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h
       DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
       DB 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h
       DB 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h
       DB 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h
       DB 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h
       DB 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h
       DB 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h
       DB 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h
       DB 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h
       DB 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h
       DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
       DB 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h
       DB 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h
       DB 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h
       DB 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h
       DB 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h
       DB 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h
       DB 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h
       DB 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h
       DB 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h
       DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
       DB 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h
       DB 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h
       DB 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h
       DB 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h
       DB 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h
       DB 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h
       DB 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h
       DB 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h
       DB 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h
       DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h
       DB 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h
       DB 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h
       DB 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h
       DB 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h
       DB 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h
       DB 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h, 4Bh, 94h, 0CAh, 60h
       DB 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h, 0EBh, 61h, 00h, 78h
       DB 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h, 0EBh, 0C1h, 00h, 90h
       DB 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h, 38h, 21h, 00h, 0A0h
       DB 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h, 78h, 63h, 0F8h, 06h
       DB 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h, 38h, 0A0h, 06h, 0E8h
       DB 4Bh, 94h, 0CAh, 60h, 60h, 00h, 00h, 00h, 60h, 00h, 00h, 00h
       DB 0EBh, 61h, 00h, 78h, 0EBh, 81h, 00h, 80h, 0EBh, 0A1h, 00h, 88h
       DB 0EBh, 0C1h, 00h, 90h, 0EBh, 0E1h, 00h, 98h, 0E8h, 01h, 00h, 0B0h
       DB 38h, 21h, 00h, 0A0h, 7Ch, 08h, 03h, 0A6h, 38h, 60h, 00h, 01h
       DB 78h, 63h, 0F8h, 06h, 64h, 63h, 00h, 70h, 38h, 80h, 00h, 00h

Device2DeviceDescriptor:
       DB 12h
       DB 01h
       DW 0200h
       DB 00h
       DB 00h
       DB 00h
       DB 40h
       DW 0AAAAh
       DW 0BBBBh
       DW 0000h
       DB 00h
       DB 00h
       DB 00h
       DB 01h
Device2ConfigDescriptor:
       DB 09h
       DB 02h
       DW 0016h
       DB 01h
       DB 01h
       DB 00h
       DB 80h
       DB 01h
;Interface descriptor
       DB 09h
       DB 04h
       DB 00h
       DB 00h
       DB 00h
       DB 0FEh
       DB 01h
       DB 02h
       DB 00h
;Extra stuff
       DB 04h
       DB 21h
       DB 0B4h
       DB 2Fh

Device3DeviceDescriptor:
       DB 12h
       DB 01h
       DW 0200h
       DB 00h
       DB 00h
       DB 00h
       DB 08h ;40h
       DW 0AAAAh
       DW 5555h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 02h
Device3ConfigDescriptor:
       DB 09h, 02h
       DW Device3ConfigDescriptorEnd-Device3ConfigDescriptorStart+4 ;0A4Dh
Device3ConfigDescriptorStart:
       DB 01h, 01h, 00h, 80h, 01h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h
       DB 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h
       DB 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h
       DB 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h
       DB 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h
       DB 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
       DB 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh
       DB 00h, 0FEh, 01h, 02h, 00h, 09h, 04h, 00h, 00h, 00h, 0FEh, 01h, 02h
Device3ConfigDescriptorEnd:

Device4DeviceDescriptor:
       DB 12h
       DB 01h
       DW 0200h
       DB 00h
       DB 00h
       DB 00h
       DB 40h
       DW 0AAAAh
       DW 5555h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 03h
Device4ConfigDescriptor1:
       DB 09h
       DB 02h
       DW 0012h
       DB 01h
       DB 01h
       DB 00h
       DB 80h
       DB 01h
;Interface descriptor
       DB 09h
       DB 04h
       DB 00h
       DB 00h
       DB 00h
       DB 0FEh
       DB 01h
       DB 02h
       DB 00h
Device4ConfigDescriptor2Short:
       DB 09h
       DB 02h
       DW 0012h
       DB 01h
       DB 01h
       DB 00h
       DB 80h
Device4ConfigDescriptor2:
       DB 09h
       DB 02h
       DW 0000h
       DB 01h
       DB 01h
       DB 00h
       DB 80h
       DB 01h
;Interface descriptor
       DB 09h
       DB 04h
       DB 00h
       DB 00h
       DB 0FEh
       DB 01h
       DB 02h
       DB 00h
Device4ConfigDescriptor3:
       DB 09h
       DB 02h
       DW 0030h
       DB 01h
       DB 01h
       DB 00h
       DB 80h
       DB 01h
;Interface descriptor
       DB 09h
       DB 04h
       DB 00h
       DB 00h
       DB 00h
       DB 0FEh
       DB 01h
       DB 02h
       DB 00h
       DB 3Eh
       DB 21h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 0FAh
       DB 0CEh
       DB 0B0h
       DB 03h
       DB 0AAh
       DB 0BBh
       DB 0CCh
       DB 0DDh
       DB 80h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 46h
       DB 50h
       DB 00h
       DB 80h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 3Dh
       DB 0EEh
       DB 70h

Device5DeviceDescriptor:
       DB 12h
       DB 01h
       DW 0200h
       DB 00h
       DB 00h
       DB 00h
       DB 40h
       DB 4Ch
       DB 05h
       DB 0EBh
       DB 02h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 01h
Device5ConfigDescriptor:
       DB 09h
       DB 02h
       DW 0020h
       DB 01h
       DB 00h
       DB 00h
       DB 80h
       DB 01h
;Interface descriptor
       DB 09h
       DB 04h
       DB 00h
       DB 00h
       DB 02h
       DB 0FFh
       DB 00h
       DB 00h
       DB 00h
;Endpoint descriptor
       DB 07h
       DB 05h
       DB 02h
       DB 02h
       DB 08h
       DB 00h
       DB 00h
;Endpoint descriptor
       DB 07h
       DB 05h
       DB 81h
       DB 02h
       DB 08h
       DB 00h
       DB 00h

Device6DeviceDescriptor:
       DB 12h
       DB 01h
       DW 0200h
       DB 00h
       DB 00h
       DB 00h
       DB 40h
       DW 0AAAAh
       DW 0DEC0h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 01h
AsbestOSDeviceDescriptor:
       DB 12h
       DB 01h
       DW 0200h
       DB 00h
       DB 00h
       DB 00h
       DB 40h
       DW 0AAAAh
       DW 3713h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 00h
       DB 01h
Device6ConfigDescriptor:
       DB 09h
       DB 02h
       DW 0012h
       DB 01h
       DB 01h
       DB 00h
       DB 80h
       DB 01h
;Interface descriptor
       DB 09h
       DB 04h
       DB 00h
       DB 00h
       DB 00h
       DB 0FEh
       DB 01h
       DB 02h
       DB 00h

